* {
    margin: 0;
    padding: 0;
}

html {
    overflow: hidden;
}

body {
    background-color: rgba(10, 10, 15, 1);
    overflow: hidden;
}

#loader-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: rgba(10, 10, 15, 0.98);
}

#loader-container.hide-loader {
    animation: slideLoaderUp 1000ms cubic-bezier(0.25, 0.46, 0.45, 0.94) forwards;
}

@keyframes slideLoaderUp {
    to {
        transform: translateY(-100%);
    }
}

#loader-container.hidden {
    opacity: 0;
    pointer-events: none;
}

#canvas-container {
    position: fixed;
    inset: 0;
    width: 100%;
    height: 100%;
    /* transform-origin: bottom right; */
    animation: enter 3s cubic-bezier(0, 1, 0.2, 1) forwards;
}

@keyframes enter {
    from {
        transform: translate(70%, 100%) rotate(0);
        opacity: 0;
    }
    to {
        transform: translate(0, 0) rotate(0);
        opacity: 1;
    }
}

#progress-text {
    position: fixed;
    bottom: 4rem;
    left: 0;
    right: 0;
    text-align: center;
    font-size: 1.2rem;
    font-weight: 300;
    letter-spacing: -0.05em;
    color: white;
    font-variant-numeric: tabular-nums;
    transition: opacity 1s ease;
}

#content.show {
    display: flex;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/* @media (max-width: 768px) {
    #progress-text {
        font-size: 3rem;
        bottom: 3rem;
    }
    
    #content {
        font-size: 1.8rem;
        padding: 2rem;
        text-align: center;
    }
}
    */